Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class BusinessAnomalyType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.BusinessAnomalyType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:56:41+02:00",
               comments="JAXB RI v2.2.11")
    public class BusinessAnomalyType

extends Object
implements Serializable

Type defining the structure of one business Faults

Java class for BusinessAnomalyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BusinessAnomalyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Severity" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}anyType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`BusinessAnomalyType()`

Method Summary
`String` | `getCode()` Gets the value of the code property.
`Object` | `getDescription()` Gets the value of the description property.
`String` | `getSeverity()` Gets the value of the severity property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setDescription(Object value)` Sets the value of the description property.
`void` | `setSeverity(String value)` Sets the value of the severity property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessAnomalyType

    public BusinessAnomalyType()

Method Detail

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getSeverity

    public String getSeverity()

  Gets the value of the severity property.

  Returns:
    possible object is `String`

### setSeverity

    public void setSeverity(String value)

  Sets the value of the severity property.

  Parameters:
    `value` - allowed object is `String`

### getDescription

    public Object getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `Object`

### setDescription

    public void setDescription(Object value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.